> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Stt Models

> Get list of available STT models for a provider, optionally filtered by language.



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/audio/stt/models
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/audio/stt/models:
    get:
      tags:
        - audio
      summary: List Stt Models
      description: >-
        Get list of available STT models for a provider, optionally filtered by
        language.
      operationId: list_stt_models_api_audio_stt_models_get
      parameters:
        - name: provider
          in: query
          required: true
          schema:
            type: string
            description: STT provider (e.g., 'deepgram', 'sarvam')
            title: Provider
          description: STT provider (e.g., 'deepgram', 'sarvam')
        - name: language
          in: query
          required: false
          schema:
            type: string
            description: Filter to models that support this language code
            title: Language
          description: Filter to models that support this language code
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/audio__schema__ModelResponse'
                title: Response List Stt Models Api Audio Stt Models Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    audio__schema__ModelResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        provider:
          type: string
          title: Provider
      type: object
      required:
        - id
        - name
        - provider
      title: ModelResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````